/********************************************************************
		POP'TEST  (c) Copyright 1989 by MSI
		     Author - Ratko V. Tomic
*********************************************************************/

#include "cr.h"
#include "spawn.h"
#include "k2.h"

/** These disposable messages go thru dspf **/

char loaded_msg[]=" Program is already loaded. `e";
char unloading[]=" Program was unloaded. `e";
char not_loaded[]=" Cannot unload - it wasn't loaded. `e";
char no_unl[]=" Cannot unload safely (other TSRs loaded after it). `e";
int skip_ems,skip_xms;

char hello_atr[]={0x1B,0x1e,0x1f,0x19};
char hello_atr1[]={0x70,0x70,0x70,0x70};

char hello_msg[]="`2\
 `\xB9`m\
`\x04POP & GO  Ver 1.20       Copyright (C) 1990 by MSI `w\
`3`w\
  `1^F11`0 or`1 Alt-, `0: Run any program `w\
  `1^F12`0 or`1 Alt-. `0: Shell into COMMAND.COM `w\
 `3`w\
                `2COMMAND LINE `w\
   `1 /M`2xxx`0     Set swap memory size to `2xxx`0 K (Dflt: 256K) `w\
   `1 /P`2name`0    Set default program `2name.ext `w\
   `1 /G `0       Go: Run default prog. without prompts `w\
   `1 /Q `0       Quick exit - no prompt for a key `w\
   `1 /E `0       Don't use EMS, even if available `w\
   `1 /X `0       Don't use XMS, even if available `w\
   `1 /H `0       Don't check high memory for TSR `w\
   `1 /C`2cmdln`0   Set default command line to `2cmdln `w\
   `1 /U `0       Unload TSR (if loaded last) `w\
`3`w\
`0  `1Call`0 Microsystems Software, Inc. at `2(508) 879-9000 `w\
`0       600 Worcester Road         BBS `2(508) 875-8009 `w\
`0       Framingham, MA 01701       `1ShareWARE Send $10 `w\
`0 `r";

char _tsr_name[]="POP & Go (C) 1989 by MSI";

#define EXE_K1 (M_LC|0x57)		/* F11 */
#define EXE_K2 (M_LA|0x33)		/* Alt-Comma */
#define CMD_K1 (M_LC|0x58)		/* F12 */
#define CMD_K2 (M_LA|0x34)		/* Alt-Period */
#define UNL_KEY (M_LC|M_LS|0x16)	/* Ctl-Shift-U */

word hk_list[]={CMD_K1,EXE_K1,CMD_K2,EXE_K2,UNL_KEY,0};

struct cfg_rec config_block = {	/* This record stays in only one module */
	sizeof(config_block),	/* Configuration block size */
	'P','&','G','o',	/* Program ID string */
	120			/* Version 1.20 */
	};

char img_file[]="MEM_IMG.$$$";	/* File to store memory image */
char cmd_pref[]="COMSPEC=";	/* To search for COMMAND.COM */
char dflt_shell[]="C:\\COMMAND.COM";

/***************************************************************************
   THIS FOLLOWS IMMEDIATELY AFTER THE LAST DISPOSABLE DATA ITEM 
****************************************************************************/

/****  1. Store all "install_" type function pointers into install_list ****/

fp install_list[]={install_hk,install_xio};

/****  2. Put Marker for the end-of-init-data (must be = NZ) ****/

word init_data_end=1;

/************************************************************************/

